// creator  : weidu.exe (version 23100)
// argument : BELMIN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BELMIN~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #4 /* Triggers after states #: 3 7 10 13 even though they appear after this state */
~!Race(Player1,ELF)
!Race(Player2,ELF)
!Race(Player3,ELF)
!Race(Player4,ELF)
!Race(Player5,ELF)
!Race(Player6,ELF)
RandomNum(3,1)
~ THEN BEGIN 0 // from:
  SAY #25307 /* ~Everything that has gone wrong these days is because of those vile elves... they are the plague of the world, I tell you!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 3 7 10 13 even though they appear after this state */
~!Race(Player1,ELF)
!Race(Player2,ELF)
!Race(Player3,ELF)
!Race(Player4,ELF)
!Race(Player5,ELF)
!Race(Player6,ELF)
RandomNum(3,2)
~ THEN BEGIN 1 // from:
  SAY #25309 /* ~Have you ever looked closely at an elf, aye?  Narrow little eyes... narrow little faces... that can't be trusted!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 3 7 10 13 even though they appear after this state */
~!Race(Player1,ELF)
!Race(Player2,ELF)
!Race(Player3,ELF)
!Race(Player4,ELF)
!Race(Player5,ELF)
!Race(Player6,ELF)
RandomNum(3,3)
~ THEN BEGIN 2 // from:
  SAY #25311 /* ~All elves should be hunted down and put to death!  I swear it shall be done!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~See("Viconia")
InParty("Viconia")
!StateCheck("Viconia",STATE_SLEEPING)
RandomNum(2,1)
Global("belminviconia","AR0700",0)~ THEN BEGIN 3 // from:
  SAY #25314 /* ~You!  The worst of that vile elven race!  The touch of evil is upon you, I swear it!~ */
  IF ~~ THEN DO ~SetGlobal("belminviconia","AR0700",1)~ EXTERN ~VICONIJ~ 11
END

IF ~~ THEN BEGIN 4 // from:
  SAY #25315 /* ~Never!  The elven race should be seared from the face of Faerun, but you... you Drow... with your evil, blighted, cancerous hearts...!~ */
  IF ~~ THEN EXTERN ~VICONIJ~ 12
END

IF ~~ THEN BEGIN 5 // from:
  SAY #25316 /* ~EVERYONE!  SEE THE FACE OF TRUE EVIL HERE BEFORE US!!  A DROW ELF!!~ */
  IF ~~ THEN EXTERN ~VICONIJ~ 13
END

IF ~~ THEN BEGIN 6 // from:
  SAY #25318 /* ~I SHALL CLEANSE THIS DEVIL FROM OUR MIDST!!  AAAAHHHHH!!~ */
  IF ~~ THEN DO ~Enemy()
Attack("Viconia")
~ EXIT
END

IF WEIGHT #1 ~See("Jaheira")
InParty("Jaheira")
!StateCheck("Jaheira",STATE_SLEEPING)
RandomNum(2,1)
Global("belminjaheira","AR0700",0)~ THEN BEGIN 7 // from:
  SAY #25319 /* ~You!  One of that vilest race of elves!  How dare you approach me!  How dare you walk amongst us!~ */
  IF ~~ THEN DO ~SetGlobal("belminjaheira","AR0700",1)~ EXTERN ~JAHEIRAJ~ 237
END

IF ~~ THEN BEGIN 8 // from:
  SAY #25321 /* ~You elves with your arrogant pride!  You are snakes in the garden, serpents among us who will only lead us to evil!~ */
  IF ~~ THEN EXTERN ~JAHEIRAJ~ 238
END

IF ~~ THEN BEGIN 9 // from:
  SAY #25323 /* ~You admit it!  Elven harlot!  Pride goeth before the fall!  Your people shall pay for their hubris, I swear it!~ */
  IF ~~ THEN EXTERN ~JAHEIRAJ~ 239
END

IF WEIGHT #2 ~See("Aerie")
InParty("Aerie")
!StateCheck("Aerie",STATE_SLEEPING)
RandomNum(2,1)
Global("belminaerie","AR0700",0)~ THEN BEGIN 10 // from:
  SAY #25326 /* ~You!  Another of that foul race of elves I see before me!  How dare you walk openly amongst us!!~ */
  IF ~~ THEN DO ~SetGlobal("belminaerie","AR0700",1)~ EXTERN ~AERIEJ~ 25
END

IF ~~ THEN BEGIN 11 // from:
  SAY #25329 /* ~You are an evil creature!  You and all your kin, lewd pagans among us!  Admit your pride, elf!  Admit it!~ */
  IF ~~ THEN EXTERN ~AERIEJ~ 26
END

IF ~~ THEN BEGIN 12 // from:
  SAY #25331 /* ~'Will not stand'?  'Will not'?!  Yet more elven pride!  You elves are like ants... mindless and alien as you crawl about us!~ */
  IF ~~ THEN EXTERN ~AERIEJ~ 27
END

IF WEIGHT #3 ~Race(Player1,ELF)
~ THEN BEGIN 13 // from:
  SAY #25333 /* ~You!  Another loathsome elf walks boldly amongst us!  You dare to wrap yourself in your race's pride!!~ */
  IF ~~ THEN REPLY #25334 /* ~Excuse me?  What have I done to deserve such a judgement?~ */ GOTO 14
  IF ~~ THEN REPLY #25335 /* ~Who are you to cast such words at me?~ */ GOTO 15
  IF ~~ THEN REPLY #25336 /* ~You had best watch your words, human, or you shall find yourself making me quite angry.~ */ GOTO 16
  IF ~~ THEN REPLY #25338 /* ~I have no time to speak with you.~ */ GOTO 17
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #25339 /* ~You and your kin are all the same!  Cunning and underhanded, not to be trusted!  You shall be cleansed from the world, I swear it!~ */
  IF ~~ THEN REPLY #25341 /* ~Nothing I or my elven kin have done deserves such words of hate.  I shall leave you to your bitter pettiness.~ */ GOTO 18
  IF ~~ THEN REPLY #25342 /* ~You had best watch your tongue, human... you are beginning to make me angry.~ */ GOTO 16
  IF ~~ THEN REPLY #25344 /* ~I have no time to listen to such garbage.  Excuse me.~ */ GOTO 17
END

IF ~~ THEN BEGIN 15 // from: 13.1
  SAY #25345 /* ~I am Belmin Gergas, elf... my son and daughter, both dead at the hands of your evil race!  I shall see your kind wiped from the face of Faerun, I will!~ */
  IF ~~ THEN REPLY #25347 /* ~I feel for your loss, but I cannot support your reasoning.  I shall leave you to wallow in your twisted hate, then.~ */ GOTO 18
  IF ~~ THEN REPLY #25348 /* ~You should watch your words, human.  I had nothing to do with these deaths, and you accusations are beginning to anger me.~ */ GOTO 16
  IF ~~ THEN REPLY #25350 /* ~Well, I'll just leave you be, then.~ */ GOTO 17
END

IF ~~ THEN BEGIN 16 // from: 15.1 14.1 13.2
  SAY #25351 /* ~I have no fear of you, elf!  Your kind is a perversion to the natural order, a cancer among humanity!  Come at me, if you will, and be taught a lesson!~ */
  IF ~~ THEN REPLY #25352 /* ~Very well, then, fool... you asked for it!~ */ GOTO 19
  IF ~~ THEN REPLY #25353 /* ~You're not worth it.  I'll leave you to stew in your petty hatred.~ */ GOTO 20
END

IF ~~ THEN BEGIN 17 // from: 15.2 14.2 13.3
  SAY #25354 /* ~Blighted fiend, with your pointed ears!  You are a demonic version of us!  You shall be cleansed, you hear me?  CLEANSED!!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 18 // from: 15.0 14.0
  SAY #25355 /* ~Elven demon!  Foul purveyor of evil seed!  One day humanity shall recognize you for the evil you are!  And then you shall die!  ALL OF YOU SHALL DIE!!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19 // from: 16.0
  SAY #25357 /* ~DIE, ELF!!  RAAAAGGGHH!!~ */
  IF ~~ THEN DO ~Enemy()
Attack(Player1)
~ EXIT
END

IF ~~ THEN BEGIN 20 // from: 16.1
  SAY #25358 /* ~Not worth it?  NOT WORTH IT?!!  I shall see every last one of you flayed from your skin!  Wiped from the face of Faerun!!  One day, it SHALL happen!!~ */
  IF ~~ THEN EXIT
END
